%define name	gnome-phone-manager
%define version	0.60
%define release %mkrel 2
%define schemas gnome-phone-manager

Name: 	 	%{name}
Summary: 	GNOME Cellular Phone Manager
Version: 	%{version}
Release: 	%{release}
Source:		ftp://ftp.gnome.org/pub/gnome/sources/gnome-phone-manager/%version/%{name}-%{version}.tar.bz2
URL:		http://live.gnome.org/PhoneManager
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext intltool ImageMagick
BuildRequires:	libbtctl-devel >= 0.6
BuildRequires:	libgnomebt-devel
BuildRequires:	libgnokii-devel gnokii
BuildRequires:	libglade2.0-devel libgnomeui2-devel
BuildRequires:	librsvg-devel
BuildRequires:  GConf2
BuildRequires:	libevolution-data-server-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	automake
BuildRequires:  gstreamer0.10-devel
BuildRequires:	gtkspell-devel
BuildRequires:  libtelepathy-glib-devel
Requires:	pygtk2.0-libglade

%description
Phone Manager allows you to control aspects of your mobile phone from the
GNOME 2 desktop.

Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility
    * Evolution Addressbook integration when sending messages 

Phone Manager supports any mobile phone that can connect to your computer as a
serial port: via Bluetooth, IrDA, or a serial cable.

%prep
%setup -q

%build
%configure2_5x --enable-shared --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas %{schemas}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%_libexecdir/telepathy-phoney
%_datadir/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%_datadir/telepathy/managers/phoney.manager


%changelog
* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 0.60-2mdv2009.0
+ Revision: 236403
- enable telepathy support

  + Austin Acton <austin@mandriva.org>
    - update and tidy description

* Sun Jun 29 2008 Funda Wang <fundawang@mandriva.org> 0.60-1mdv2009.0
+ Revision: 229992
- New version 0.60

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.51-1mdv2009.0
+ Revision: 213896
- BR gtkspell
- New version 0.51

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.50-1mdv2008.1
+ Revision: 185276
- Add missing files to package
- Release 0.50

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.40-3mdv2008.1
+ Revision: 166358
- fix gstreamer0.10-devel BR for x86_64
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 16 2007 Jérôme Soyer <saispo@mandriva.org> 0.40-2mdv2008.1
+ Revision: 109160
- Fix schemas installation

* Fri Nov 16 2007 Funda Wang <fundawang@mandriva.org> 0.40-1mdv2008.1
+ Revision: 109139
- drop libtelepathy-devel because it locates in contrib
- BR telepathy

  + Jérôme Soyer <saispo@mandriva.org>
    - Add files

* Tue Oct 30 2007 Funda Wang <fundawang@mandriva.org> 0.30-1mdv2008.1
+ Revision: 103706
- update to new version 0.30

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.20-1mdv2008.1
+ Revision: 100797
- New release 0.20

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.10-1mdv2008.1
+ Revision: 96762
- Add files
- New release 0.10

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.8-2mdv2008.0
+ Revision: 91319
- add gnome-phone-manager-0.8-libegg.patch to port app away from libegg, the use of which breaks the build
- rebuild for 2008
- remove X-Mandriva menu category
- fd.o icons
- minor spec clean


* Sat Jan 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.8-1mdv2007.0
+ Revision: 108329
- New release 0.8

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.7-6mdv2007.1
+ Revision: 89468
- rebuild
- rebuild

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
+ Revision: 79261
- Import gnome-phone-manager

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
- unpack patches
- rebuild for new libbtctl

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7-3mdv2007.0
- Rebuild with latest dbus
- fix xdg tag

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-2mdk
- add BuildRequires: desktop-file-utils

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7-1mdk
- Release 0.7
- Patch0: fix pixmaps location
- migrate menu to xdg

* Tue Apr 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdk
- Rebuild with latest e-d-s

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.6-3mdk
- patch for new openobex
- use mkrel

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.6-2mdk
- buildrequires libevolution-data-server-devel

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.6-1mdk
- 0.6
- source URL
- drop gcc4 patch
- buildrequires libgnokii-devel

* Wed Aug 31 2005 Austin Acton <austin@mandriva.org> 0.4-5mdk
- rebuild for libbtctl
- gcc4 fixes

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4-4mdk
- add BuildRequires: librsvg-devel

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Fix buildrequires

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Fix menu

* Thu Jun 24 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Tue Jun 22 2004 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package

